Bug 1308834 - keyutil -h problems
keyutil -h problems
Status: CLOSED UPSTREAM
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: crypto-utils (Show other bugs)
6.8
Unspecified Unspecified
unspecified Severity low
: rc
: ---
Assigned To: Joe Orton
Stanislav Zidek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-16 04:08 EST by Stanislav Zidek
Modified: 2016-08-31 08:26 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-31 08:26:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stanislav Zidek 2016-02-16 04:08:55 EST
Description of problem:
* option -a is undocumented, although almost always used by other tools
* missing line breaks

Version-Release number of selected component (if applicable):
# rpm -q crypto-utils
crypto-utils-2.4.1-24.3.el6

How reproducible:
always

Steps to Reproduce:
1. keyutil -h
2.
3.

Actual results:
Usage: keyutil [options] arguments
{-c|--command} command, one of [genreq|makecert]
{-r|--renew} cert-to-renew     the file with the certifificast to renew
{-s|--subject} subject         subject distinguished name{-g|--gsize} key_size          size in bitsof the rsa key to generate
{-v|--validity} months         cert validity in months{-z|--znoisefile} noisefile    seed file for use in key generation
{-e|--encpwd} keypwd           key encryption_password
{-f|--filepwdnss} modpwdfile   file with the module access_password
{-d|--digest} digest-algorithm digest algorithm
{-i|--input} inputkey-file     file with key with which to encrypt or to sign a request
{-p|--passout} pbe-password    the password for encrypting of the key
{-o|--output} out-file         output file for a csr or cert
{-k|--keyfile} out-key-file    output key file, with csr or certgen
{-t|--cacert}                  indicates that cert renewal is for a ca
{-h|--help}                    print this help message

Expected results:
Usage: keyutil [options] arguments
{-c|--command} command, one of [genreq|makecert]
{-a}                           use base64 encoded output formats
{-r|--renew} cert-to-renew     the file with the certifificast to renew
{-s|--subject} subject         subject distinguished name
{-g|--gsize} key_size          size in bitsof the rsa key to generate
{-v|--validity} months         cert validity in months
{-z|--znoisefile} noisefile    seed file for use in key generation
{-e|--encpwd} keypwd           key encryption_password
{-f|--filepwdnss} modpwdfile   file with the module access_password
{-d|--digest} digest-algorithm digest algorithm
{-i|--input} inputkey-file     file with key with which to encrypt or to sign a request
{-p|--passout} pbe-password    the password for encrypting of the key
{-o|--output} out-file         output file for a csr or cert
{-k|--keyfile} out-key-file    output key file, with csr or certgen
{-t|--cacert}                  indicates that cert renewal is for a ca
{-h|--help}                    print this help message

Additional info:
Comment 3 Karel Srot 2016-04-01 02:27:18 EDT
Postponing to 6.9 as it is too late to address this bug in 6.8.
Comment 4 Joe Orton 2016-08-31 08:26:04 EDT
Fixed upstream, no plans to address in RHEL6 now.

http://pkgs.fedoraproject.org/cgit/rpms/crypto-utils.git/commit/?id=daf0de36a41ab6e811f0ba4790ac823f5798b1da

Note You need to log in before you can comment on or make changes to this bug.